petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatDestroySubMatrices

Destroys a set of matrices obtained with MatCreateSubMatrices().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDestroySubMatrices(PetscInt n,Mat *mat[])

Collective on Mat

### Input Parameters

| n | - the number of local matrices
| mat | - the matrices (note that this is a pointer to the array of matrices, just to match the calling sequence of MatCreateSubMatrices())

### Notes

Frees not only the matrices, but also the array that contains the matrices In Fortran will not free the array.

### See Also

MatCreateSubMatrices()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatDestroySubMatrices_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatDestroySubMatrices_SeqBAIJ in src/mat/impls/baij/seq/baij2.c
MatDestroySubMatrices_Dummy in src/mat/impls/dummy/matdummy.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages